Name: gwget
Version: 0.95
Release: alt1

Summary: Gwget - Gnome2 wget Front-end
License: GPL
Group: Networking/File transfer
Url: http://gnome.org/projects/gwget

# Source: %name-%version.%cvs.tar.bz2
Source: %name-%version.tar.bz2
#Source1: %name.menu
#Source2: %name.xpm
Provides: gwget2

# Automatically added by buildreq on Sat May 14 2005 (-ba)
BuildRequires: ORBit2-devel esound fontconfig freetype2 gcc-c++ gcc-g77
BuildRequires: glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel 
BuildRequires: libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel 
BuildRequires: libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel
BuildRequires: libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel 
BuildRequires: libxml2-devel menu-devel perl-XML-Parser pkgconfig xorg-x11-devel
BuildRequires: epiphany-devel

#BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig
#BuildRequires: freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel
#BuildRequires: libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel
#BuildRequires: libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel
#BuildRequires: libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel
#BuildRequires: libssl-devel libxml2-devel pkgconfig zlib-devel 

BuildPreReq: menu-devel
Requires: wget
Requires(post): GConf2
BuildPreReq: GConf2

%package -n epiphany-extension-gwget
Summary: Gwget extention for Epiphany browser
Group: Networking/File transfer
Requires:       %name = %version-%release
Requires:       epiphany



%description
Gwget: Gnome2 wget Front-end.
Gwget it's a download manager for the Gnome Desktop. The main features are: 
* Resume: By default, gwget tries to continue any download.
* Notification: Gwget tries to use the Gnome notification area support, 
  if available. You can close the main window and gwget runs in the background.
* Recursivity: Gwget detects when you put a html, php, asp or a web page dir 
  in the url to download, and ask you 
  to only download certain files (multimedia, only the index, and so on).
* Drag & Drop: You can d&d a url to the main gwget window or 
  the notification area icon to add a new download. 
		
%description -n epiphany-extension-gwget
Extention Gwget for Epiphany browser

%prep
%setup -q

%build
%configure  \
	    --enable-epiphany-extension \
	    --disable-schemas-install 

# SMP-incompatible build
%__make
# %make_build

%install

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
# %__make DESTDIR=%buildroot EXTENSION_PREFIX=%buildroot install
%makeinstall EXTENSION_PREFIX=%buildroot
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove none-packaged files
%__rm -f %buildroot%_libdir/epiphany-*/extensions/*.{a,la}


# menus
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Network" \
%buildroot/%_datadir/applications/%name.desktop \
%buildroot/%_menudir/%name

# %find_lang %name
%find_lang --with-gnome --output=%name.lang %name 

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
    
    
%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/*
%_libdir/bonobo/servers/*
%_menudir/*
%_includedir/%name
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_datadir/idl/*
%config %_sysconfdir/gconf/schemas/*

%files -n epiphany-extension-gwget
%_libdir/epiphany-*/extensions/*

%changelog
* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 0.95-alt1
- 0.95

* Fri May 13 2005 Alexey Shabalin <shaba@altlinux.ru> 0.94-alt1
- 0.94
- update spec 
- add epiphany-extension-gwget

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7-alt1
- 0.7
- Added Recursive option if the url added it's not a file
- Cancel download in the popup menu now can be selected if the download it's in error state
- Added "Remove all downloads" and "Remove not running" options to the popup
- Added Japanese translation

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6-alt1
- 0.6

* Wed Sep 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt2
- Cleanup spec

* Thu Jun 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt1
- 0.5
- Added Drag&Drop support.
- Added speed of the download information.

* Thu Jun 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- 0.4

* Tue Jun 03 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.

